Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#38 compatibility problem with opengroupware aka zidestore

closed-out-of-date
nobody
None
5
2006-02-28
2004-07-20
gronau
No

opengroupware.org provides a webdav module ( zidestore
), to connect to the project-folders with any
webdav-enabled application. This solution works without
any problems if you use nautilus or Internetexplorer to
connect to the webdav-folders. If you mount the
webdav-folders with davfs2 you will encounter a very
strange behaviour. Doing a ls in the main directory
gives the expected results. If you dive into a subdir and
do a ls there, you see all folders in the subdir plus
the subdir itself. One level deeper, no directories are
listed. Files are only listed, if there is no
subdirectory in this folder.

the zidestore log after connect:

Jul 20 12:51:37 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
217.186.69.210 - - [20/Jul/2004:12:51:37 GMT] "OPTIONS
/zidestore/so/jgronau/Projects/ HTTP/1.1" 401 0 0.003 -
- 4K
Jul 20 12:51:37 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
217.186.69.210 - - [20/Jul/2004:12:51:37 GMT] "OPTIONS
/zidestore/so/jgronau/Projects/ HTTP/1.1" 200 0 0.003 - - 0
Jul 20 12:51:38 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
217.186.69.210 - - [20/Jul/2004:12:51:38 GMT] "OPTIONS
/zidestore/so/jgronau/Projects/ HTTP/1.1" 401 0 0.003 - - 0
Jul 20 12:51:38 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
217.186.69.210 - - [20/Jul/2004:12:51:38 GMT] "OPTIONS
/zidestore/so/jgronau/Projects/ HTTP/1.1" 200 0 0.003 - - 0
Jul 20 12:51:38 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 12:51:38 ZideStore [1181]: |ZideStore|
WARNING(-[NSObject(SoObject) rootURLInContext:]:298):
got an empty port, probably buggy SOUP host header!
217.186.69.210 - - [20/Jul/2004:12:51:38 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/ HTTP/1.1" 207 521 0.058
- - 228K

if you do a ls in the main directory:

maindirectory>ls
BDSU EXT20040514-1 INT20030519
INT20040508-1 JADE KURATOR01 MV2003
Projects vorstand2003
BUERO2003 EXT20040515-1 INT20030601-1
INT20040516-1 KM2003 MB2003 MV2004
RESIT2003 vorstand2004
EXT20031001-1 EXTVORLAGE INT20031003
INT20040706-1 KMPOOL MB2004 PRIV20040717
SP20040401-1

no problems so far

zidestore log

Jul 20 12:55:59 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
217.186.69.210 - - [20/Jul/2004:12:55:59 GMT] "PROPFIND
/zidestore/so/jgronau/Projects HTTP/1.1" 207 521 0.005
- - 0
Jul 20 12:56:00 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 12:56:00 ZideStore [1181]:
|SxProjectsFolder:Projects| Note: no ZideLook support
installed.
Jul 20 12:56:00 ZideStore [1181]:
|SxProjectsFolder:Projects| Note: did not find property
set 'ZideLookFolderQuery1'
Jul 20 12:56:00 ZideStore [1181]:
|SxProjectsFolder:Projects| Note: did not find property
set 'ZideLookFolderQuery2'
Jul 20 12:56:00 ZideStore [1181]:
|SxProjectsFolder:Projects| found no default handler to
process query[depth=1]:
davDisplayName,davResourceType,davContentLength,davLastModified,davIsExecutable
Jul 20 12:56:00 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D davChildKeysInContext:
Jul 20 12:56:00 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:12:56:00 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/ HTTP/1.1" 207 10771
0.113 - - 24K

if you enter a folder

maindirectory>cd vorstand2004

Jul 20 12:58:29 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 12:58:29 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:12:58:29 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/ HTTP/1.1"
207 538 0.067 - - 0
Jul 20 12:58:29 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 12:58:29 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:12:58:29 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/ HTTP/1.1"
207 538 0.067 - - 0

vorstand2004>ls
Documents Notes vorstand2004

"vorstand2004" shoudn't be listed, we are in this folder!!!

Jul 20 12:58:29 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 12:58:29 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:12:58:29 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/ HTTP/1.1"
207 538 0.067 - - 0
Jul 20 12:59:26 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 12:59:26 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:12:59:26 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004 HTTP/1.1"
207 538 0.066 - - 0
Jul 20 12:59:27 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 12:59:27 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
Jul 20 12:59:27 ZideStore [1181]:
|SxProjectFolder:vorstand2004| found no default handler
to process query[depth=1]:
davDisplayName,davResourceType,davContentLength,davLastModified,davIsExecutable
217.186.69.210 - - [20/Jul/2004:12:59:27 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/ HTTP/1.1"
207 1345 0.130 - - 96K

vorstand2004>cd Documents

Jul 20 13:02:55 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 13:02:55 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:13:02:55 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/Documents/
HTTP/1.1" 207 518 0.097 - - 0
Jul 20 13:02:55 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 13:02:55 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:13:02:55 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/Documents/
HTTP/1.1" 207 518 0.102 - - 0

Documents>ls

...nothing...

but there are some folders and files!!!

Jul 20 13:04:49 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 13:04:49 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:13:04:49 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/Documents
HTTP/1.1" 207 518 0.095 - - 0
Jul 20 13:04:49 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 13:04:50 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
Jul 20 13:04:50 ZideStore [1181]:
|SxDocumentFolder:Documents| using default handler to
process unknown query[depth=1]:
davDisplayName,davResourceType,davContentLength,davLastModified,davIsExecutable
Jul 20 13:04:50 ZideStore [1181]:
|SxDocumentFolder:Documents| EXPLAIN: selected
performListQuery:inContext: to process query.
Jul 20 13:04:50 ZideStore [1181]:
<0x087C6FC4[SkyDocumentIdHandler]> Note: build cache
itemSize=10000, itemCnt=1212 for doc-id handler.
217.186.69.210 - - [20/Jul/2004:13:04:50 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/Documents/
HTTP/1.1" 207 4222 0.297 - - 120K

Documents>cd Vorlagen
Vorlagen>ls
Briefpapier Dennis Briefpapier Harald Briefpapier Julian

this is ok, but not perfect, it should list
Briefpapier Dennis.doc Briefpapier Harald.doc
Briefpapier Julian.doc

Jul 20 13:36:04 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 13:36:04 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:13:36:04 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/Documents/Vorlagen/
HTTP/1.1" 207 553 0.113 - - 160K
Jul 20 13:36:05 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 13:36:05 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:13:36:05 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/Documents/Vorlagen/
HTTP/1.1" 207 553 0.112 - - 160K
Jul 20 13:36:06 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 13:36:06 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
217.186.69.210 - - [20/Jul/2004:13:36:06 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/Documents/Vorlagen
HTTP/1.1" 207 553 0.114 - - 164K
Jul 20 13:36:06 ZideStore [1181]:
-[WEClientCapabilities initWithRequest:]: Unknown
WebClient: user-agent='davfs2 0.2.2 neon/0.24.6'
Jul 20 13:36:06 ZideStore [1181]:
<|SxProjectsFolder:Projects|>D fetched 25 project names
Jul 20 13:36:06 ZideStore [1181]:
|SxDocumentFolder:Vorlagen| using default handler to
process unknown query[depth=1]:
davDisplayName,davResourceType,davContentLength,davLastModified,davIsExecutable
Jul 20 13:36:06 ZideStore [1181]:
|SxDocumentFolder:Vorlagen| EXPLAIN: selected
performListQuery:inContext: to process query.
217.186.69.210 - - [20/Jul/2004:13:36:07 GMT] "PROPFIND
/zidestore/so/jgronau/Projects/vorstand2004/Documents/Vorlagen/
HTTP/1.1" 207 1983 0.162 - - 204K

I have absolutely no idea what's going wrong
thanks in advance
gronau

Discussion

  • Werner Baumann
    Werner Baumann
    2006-02-14

    Logged In: YES
    user_id=1260327

    Hello,

    I am trying to work off old bugs and can not determine
    whether this bug is already fixed.

    Please try our latest release and submit a *new* bug report
    if the problem is not solved there.

    Werner

     
  • Werner Baumann
    Werner Baumann
    2006-02-28

    • status: open --> closed-out-of-date